9143 rpcsec_gss: this statement may fall through

Review Request #876 — Created Feb. 20, 2018 and submitted

tsoome
illumos-gate
9143
a1e1778...
general
../svc_rpcsec_gss.c: In function '__svcrpcsec_gss':
../svc_rpcsec_gss.c:929:7: error: this statement may fall through [-Werror=implicit-fallthrough=]
    if (client_data->retrans_data &&
       ^
../svc_rpcsec_gss.c:946:7: note: here
       default:
       ^~~~~~~
cc1: all warnings being treated as errors


  • 0
  • 0
  • 1
  • 0
  • 1
Description From Last Updated
marcel
  1. Ship It!
  2. 
      
wiedi
  1. Ship It!
  2. 
      
tsoome
marcel
  1. Ship It!
  2. 
      
seeemef@mac.com
  1. 
      
  2. usr/src/lib/rpcsec_gss/svc_rpcsec_gss.c (Diff revision 2)
     
     

    These tags from upstream are actually useful when comparing current code. I have experience from reviewing the state of the Mozilla implementation v. libsasl. I hate to see them removed casually.

  3. 
      
tsoome
seeemef@mac.com
  1. LGTM

  2. 
      
marcel
  1. Ship It!
  2. 
      
wiedi
  1. Ship It!
  2. 
      
tsoome
Review request changed

Status: Closed (submitted)

Loading...